DOMElement::removeAttributeNode
DOMElement::setAttribute
DOMElement
PHP Manual

# DOMElement::removeAttributeNS

(PHP 5, PHP 7)

DOMElement::removeAttributeNS — Removes attribute

### Description

public bool DOMElement::removeAttributeNS ( string `$namespaceURI` , string `$localName` )

Removes attribute is namespace `namespaceURI` named `localName` from the element.

### Parameters

`namespaceURI`

  The namespace URI.

`localName`

  The local name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### See Also

- DOMElement::hasAttributeNS() - Checks to see if attribute exists
- DOMElement::getAttributeNS() - Returns value of attribute
- DOMElement::setAttributeNS() - Adds new attribute

DOMElement::removeAttributeNode
DOMElement::setAttribute
DOMElement
PHP Manual